Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.10
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.classgen
[Java] Class InnerClassVisitorHelper

    java.lang.Object
      org.codehaus.groovy.ast.CodeVisitorSupport
          org.codehaus.groovy.ast.ClassCodeVisitorSupport
              org.codehaus.groovy.classgen.InnerClassVisitorHelper

    public abstract class InnerClassVisitorHelper
    extends ClassCodeVisitorSupport

Method Summary
`protected ClassNode` | `getClassNode(ClassNode node, boolean isStatic)`
`protected int` | `getObjectDistance(ClassNode node)`
`protected boolean` | `isStatic(InnerClassNode node)`
`protected void` | `setMethodDispatcherCode(BlockStatement block, Expression thiz, Parameter[] parameters)`
`protected void` | `setPropertyGetterDispatcher(BlockStatement block, Expression thiz, Parameter[] parameters)`
`protected void` | `setPropertySetterDispatcher(BlockStatement block, Expression thiz, Parameter[] parameters)`

Methods inherited from class ClassCodeVisitorSupport
addError, getSourceUnit, visitAnnotations, visitAssertStatement, visitBlockStatement, visitBreakStatement, visitCaseStatement, visitCatchStatement, visitClass, visitClassCodeContainer, visitConstructor, visitConstructorOrMethod, visitContinueStatement, visitDoWhileLoop, visitExpressionStatement, visitField, visitForLoop, visitIfElse, visitImports, visitMethod, visitObjectInitializerStatements, visitPackage, visitProperty, visitReturnStatement, visitStatement, visitSwitch, visitSynchronizedStatement, visitThrowStatement, visitTryCatchFinally, visitVariableExpression, visitWhileLoop

Methods inherited from class CodeVisitorSupport
visitArgumentlistExpression, visitArrayExpression, visitAssertStatement, visitAttributeExpression, visitBinaryExpression, visitBitwiseNegationExpression, visitBlockStatement, visitBooleanExpression, visitBreakStatement, visitBytecodeExpression, visitCaseStatement, visitCastExpression, visitCatchStatement, visitClassExpression, visitClosureExpression, visitClosureListExpression, visitConstantExpression, visitConstructorCallExpression, visitContinueStatement, visitDeclarationExpression, visitDoWhileLoop, visitEmptyStatement, visitExpressionStatement, visitFieldExpression, visitForLoop, visitGStringExpression, visitIfElse, visitListExpression, visitListOfExpressions, visitMapEntryExpression, visitMapExpression, visitMethodCallExpression, visitMethodPointerExpression, visitNotExpression, visitPostfixExpression, visitPrefixExpression, visitPropertyExpression, visitRangeExpression, visitRegexExpression, visitReturnStatement, visitShortTernaryExpression, visitSpreadExpression, visitSpreadMapExpression, visitStaticMethodCallExpression, visitSwitch, visitSynchronizedStatement, visitTernaryExpression, visitThrowStatement, visitTryCatchFinally, visitTupleExpression, visitUnaryMinusExpression, visitUnaryPlusExpression, visitVariableExpression, visitWhileLoop

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Method Detail

### getClassNode

    protected ClassNode getClassNode(ClassNode node, boolean isStatic)

### getObjectDistance

    protected int getObjectDistance(ClassNode node)

### isStatic

    protected boolean isStatic(InnerClassNode node)

### setMethodDispatcherCode

    protected void setMethodDispatcherCode(BlockStatement block, Expression thiz, Parameter[] parameters)

### setPropertyGetterDispatcher

    protected void setPropertyGetterDispatcher(BlockStatement block, Expression thiz, Parameter[] parameters)

### setPropertySetterDispatcher

    protected void setPropertySetterDispatcher(BlockStatement block, Expression thiz, Parameter[] parameters)

Copyright © 2003-2010 The Codehaus. All rights reserved.